Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.util
Class Double3D

    java.lang.Object
      sim.util.Double3D

All Implemented Interfaces:
  java.io.Serializable

public final class Double3D
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`double` | `x`
`double` | `y`
`double` | `z`

Constructor Summary
`Double3D()`
`Double3D(Double2D p)` Explicitly assumes the z value is set to 0
`Double3D(Double2D p, double z)`
`Double3D(Double3D p)`
`Double3D(double x, double y, double z)`
`Double3D(Int2D p)` Explicitly assumes the z value is set to 0
`Double3D(Int2D p, double z)`
`Double3D(Int3D p)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`double` | `getX()`
`double` | `getY()`
`double` | `getZ()`
`int` | `hashCode()`
`java.lang.String` | `toCoordinates()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public final double x

### y

    public final double y

### z

    public final double z

Constructor Detail

### Double3D

    public Double3D()

### Double3D

    public Double3D(Int2D p)

  Explicitly assumes the z value is set to 0

### Double3D

    public Double3D(Int2D p,
                    double z)

### Double3D

    public Double3D(Int3D p)

### Double3D

    public Double3D(Double2D p)

  Explicitly assumes the z value is set to 0

### Double3D

    public Double3D(Double2D p,
                    double z)

### Double3D

    public Double3D(Double3D p)

### Double3D

    public Double3D(double x,
                    double y,
                    double z)

Method Detail

### getX

    public final double getX()

### getY

    public final double getY()

### getZ

    public final double getZ()

### toString

    public java.lang.String toString()

### toCoordinates

    public java.lang.String toCoordinates()

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object obj)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD